'use strict';

/*!
 * This is a `i18n` language object.
 *
 * Korean
 *
 * @author
 *   Jalios (Twitter: @Jalios)
 *   Sascha 'SoftCreatR' Greuel
 *
 * @see core/i18n.js
 */
(function (exports) {
	if (exports.ko === undefined) {
		exports.ko = {
			'mejs.plural-form': 0,

			// core/mediaelement.js
			'mejs.download-file': '파일 다운로드',

			// renderers/flash.js
			'mejs.install-flash': 'Flash Player가 활성화되거나 설치되지 않은 브라우저를 사용 중입니다. 플래시 플레이어 플러그인을 켜거나 https://get.adobe.com/flashplayer/에서 최신 버전을 다운로드하십시오.',

			// features/fullscreen.js
			'mejs.fullscreen': '전체화면',

			// features/playpause.js
			'mejs.play': '작동',
			'mejs.pause': '정지',

			// features/progress.js
			'mejs.time-slider': '시간 슬라이더',
			'mejs.time-help-text': '1초 전진하려면 좌/우측 화살표를 사용하시고 10초 전진하려면 위/아래 화살표를 사용하세요.',
			'mejs.live-broadcast' : '생방송',

			// features/volume.js
			'mejs.volume-help-text': '볼륨을 높이거나 낮추려면 위/아래 화살표를 이용하세요.',
			'mejs.unmute': '음소거 해제',
			'mejs.mute': '말 없는',
			'mejs.volume-slider': '볼륨 슬라이더',

			// core/player.js
			'mejs.video-player': '비디오 플레이어',
			'mejs.audio-player': '오디오 플레이어',

			// features/tracks.js
			'mejs.captions-subtitles': '캡션/자막',
			'mejs.captions-chapters': '챕터',
			'mejs.none': '없음',
			'mejs.afrikaans': '아프리칸스어',
			'mejs.albanian': '알바니아',
			'mejs.arabic': '아랍어',
			'mejs.belarusian': '벨로루시 어',
			'mejs.bulgarian': '불가리아',
			'mejs.catalan': '카탈로니아 어',
			'mejs.chinese': '중국어',
			'mejs.chinese-simplified': '중국어 (간체)',
			'mejs.chinese-traditional': '중국어 (번체)',
			'mejs.croatian': '크로아티아어',
			'mejs.czech': '체코 어',
			'mejs.danish': '덴마크어',
			'mejs.dutch': '네덜란드어',
			'mejs.english': '영어',
			'mejs.estonian': '에스토니아',
			'mejs.filipino': '필리핀',
			'mejs.finnish': '핀란드어',
			'mejs.french': '프랑스어',
			'mejs.galician': '갈리시아인',
			'mejs.german': '독일어',
			'mejs.greek': '그리스어',
			'mejs.haitian-creole': '아이티 크리올',
			'mejs.hebrew': '히브리어',
			'mejs.hindi': '힌디어',
			'mejs.hungarian': '헝가리어',
			'mejs.icelandic': '아이슬란드 어',
			'mejs.indonesian': '인도네시아어',
			'mejs.irish': '아일랜드어',
			'mejs.italian': '이탈리아어',
			'mejs.japanese': '일본어',
			'mejs.korean': '한국어',
			'mejs.latvian': '라트비아어',
			'mejs.lithuanian': '리투아니아어',
			'mejs.macedonian': '마케도니아인',
			'mejs.malay': '말레이',
			'mejs.maltese': '몰타어',
			'mejs.norwegian': '노르웨이어',
			'mejs.persian': '페르시아어',
			'mejs.polish': '폴란드어',
			'mejs.portuguese': '포르투갈어',
			'mejs.romanian': '루마니아어',
			'mejs.russian': '러시아어',
			'mejs.serbian': '세르비아어',
			'mejs.slovak': '슬로바키아어',
			'mejs.slovenian': '슬로베니아어',
			'mejs.spanish': '스페인어',
			'mejs.swahili': '스와힐리어',
			'mejs.swedish': '스웨덴어',
			'mejs.tagalog': '타갈로그어',
			'mejs.thai': '태국어',
			'mejs.turkish': '터키어',
			'mejs.ukrainian': '우크라이나어',
			'mejs.vietnamese': '베트남인',
			'mejs.welsh': '웨일스 어',
			'mejs.yiddish': '이디시어'
		};
	}
})(mejs.i18n);